package org.wcs.serve.service.intf;

import org.wcs.model.dto.serve.led.AddBaseLedReq;
import org.wcs.model.dto.serve.led.QueryLedReq;
import org.wcs.model.dto.serve.led.UpdateBaseLedReq;
import org.wcs.model.vo.serve.AppServeDataResponse;
import org.wcs.model.vo.serve.AppServeResponse;
import org.wcs.model.vo.serve.led.QueryLedVo;

import java.util.List;

public interface ILedService {

    AppServeDataResponse<List<QueryLedVo>> queryLed(QueryLedReq queryLedReq); // 查询数据
    AppServeResponse addBaseLed(AddBaseLedReq addBaseLedReq); // 添加数据
    AppServeResponse updateBaseLed(UpdateBaseLedReq updateBaseLedReq);
    AppServeResponse deleteBaseLed(String id);

}
